body {
    font-size: 0.90rem;
    font-weight: 700;
    letter-spacing: 0.3px;
  
}

.menu-desktop {
  background-color: #f1f4f5;
  color: white;
  height: 100vh;
  width: 250px;
  overflow: auto;
  transition: transform 0.3s ease-in-out;
}

.menu-desktop a {
  display: block;
  padding: 15px 20px;
  text-decoration: none;
  color: #212529;
  border-bottom: 1px solid #212529;
}

.menu-desktop a:hover {
  background-color: #fff;
}

.menu-toggle {
  display: none; /* Hidden by default */
  position: fixed;
  top: 15px;
  left: 15px;
  font-size: 24px;
  color: white;
  background-color: #333;
  border: none;
  cursor: pointer;
  z-index: 1000;
  padding: 10px;
  border-radius: 4px;
}

.mobile-toogle {
  display: none !important;
}

.main-con {
  margin-left: 120px;
  padding: 20px;
  flex: 1;
}



.btn-info {
  color:#fff;
}

.nav-tabs .nav-link {
  margin-bottom: -1px;
  background-color: #c7e0f4;
  border: 1px solid #fff;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  margin-right: 2px;
  color: #000;
}

.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
  color: #fff;
  background-color: #3490dc;
  border-color: #dee2e6 #dee2e6 #3490dc;
}

thead {
  background-color: #38B4EA;
  color: #fff;
}

.smaller-font {
  font-size: small;
}
.left-menu .btn-secondary {
  font-size: inherit !important;
  color: #fff;
  background-color: #0178d4;
  border-color: #c7e0f4;
}

#izostancipogrupama, #personalstatistics{
  height:400px;
}

.bignumber {
  font-size: x-large;
}

.nameiconm{
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 20px; /* Širina i visina kruga */
  height: 20px;
  background-color: #3D9BFF; /* Boja pozadine */
  color: white; /* Boja slova */
  border-radius: 50%; /* Čini element kružnim */
  margin-right: 10px; /* Razmak između kruga i imena */
  font-weight: bold;
  font-size: 14px;
}

.nameiconz{
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 20px; /* Širina i visina kruga */
  height: 20px;
  background-color: #FF3D9B; /* Boja pozadine */
  color: white; /* Boja slova */
  border-radius: 50%; /* Čini element kružnim */
  margin-right: 10px; /* Razmak između kruga i imena */
  font-weight: bold;
  font-size: 14px;
}

.left-menu .btn:focus, .left-menu .btn:active {
  outline: none; /* Uklanja outline */
  box-shadow: none; /* Uklanja sjenu koja se pojavljuje pri kliku */
  border-left: 5px solid #28a745;
}

.btn-info:hover{
  background: #3490dc;
}

#polaznici {
  height: 300px;
}

#chartdiv {
  width: 100%;
  height: 500px;
}

#green{
  background-color: #ccffcc;
}

#blue{
  background-color: #DEEFFF;
}

#red {
  background-color:rgb(255, 204, 204);
}

.btn-secondary {
  color: #000;
  background-color: #c7e0f4;
  border-color: #c7e0f4;
}



.left-menu {
  margin-top: -25px;
}

.navbar {
  background-color: #179dd8;

}

.odjava-btn {
  margin-top: -52px !important;
  color: lightgray;
}

.odjava-btn a {
  color: lightgray;
}

.pointer {
  cursor: pointer;
}

.navbar .vertical {
  display: flex;
  justify-content: right;
  align-items: center; /* Vertikalno centriranje */
}

.navbar > .container, .navbar > .container-fluid {
  display: inline;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

.lds-facebook {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-facebook div {
  display: inline-block;
  position: absolute;
  left: 8px;
  width: 16px;
  background: #ccc;
  animation: lds-facebook 1.2s cubic-bezier(0, 0.5, 0.5, 1) infinite;
}
.lds-facebook div:nth-child(1) {
  left: 8px;
  animation-delay: -0.24s;
}
.lds-facebook div:nth-child(2) {
  left: 32px;
  animation-delay: -0.12s;
}
.lds-facebook div:nth-child(3) {
  left: 56px;
  animation-delay: 0;
}
@keyframes lds-facebook {
  0% {
    top: 8px;
    height: 64px;
  }
  50%, 100% {
    top: 24px;
    height: 32px;
  }
}
.nav-tabs {
  border-bottom: 0px solid #dee2e6;
}

.nastjedinice {
  background-color: #f8fafc;
}

.table th, .table td {
  padding: 0.75rem;
  vertical-align: middle !important;
  border-top: 1px solid #dee2e6;
}

.inputtohide {
  /*   width: 1px;
  height: 1px;
  overflow: hidden;
  position: absolute;
  opacity: 0;
  pointer-events: none; */
  /* margin-left: -9999px; */
}

.servicestatusinfo{
  color: #7997a1;
}

#letter, #device_1, #device_2, #device{
  width: -webkit-fill-available;
  border: 1px solid lightblue;
  background: gainsboro;
}

#letter:focus, #device_1:focus, #device_2:focus, #device:focus {
  background-color: lightblue;
  outline: none;
}

.smiles-block {
  display: inline-flex;
}

.smiles-block .radio {
  padding:10px;
}

#smiley_icon {
  width:35px;
}

#hglu0 {
  background-color: #fae403;
  width: 100%;
  padding: 5px 0px 0px 10px;
}

#hglu1 {
  background-color: #87bd31;
  width: 100%;
  padding: 5px 0px 0px 10px;
}

#hglu50 {
  background-color: #00a34d;
  width: 100%;
  padding: 5px 0px 0px 10px;
}

#hglu150 {
  background-color: #018965;
  width: 100%;
  padding: 5px 0px 0px 10px;
}

#hglu500 {
  background-color: #065c4f;
  width: 100%;
  padding: 5px 0px 0px 10px;
}

#hglu1000 {
  background-color: #1f3f3e;
  width: 100%;
  padding: 5px 0px 0px 10px;
}

.btnprocessed {
  width:300px !important;
}

.no-bullets {
  list-style: none;
}


.results .separator {
  padding:2px;
}

.results .separator .form-group {
  margin-bottom:0px;
  margin-top:10px;
}

a#btOkay {
  color: green;
  text-decoration: underline;
  margin-left: 20px;
  cursor: pointer;
}

.results .separator .col-md-8 {
  margin-top:10px;
}

h6, .h6 {
  font-weight: 600;
  color:#212529;
  font-size: medium;
}

.questionnaire {
  font-size: medium;
}

.resultseparator {
  border-bottom: 4px solid #BD9E9C;
}

  .bg-info {
    background-color: #793a34 !important;
    border-bottom: 4px solid #BD9E9C;
}

.qheader {
  padding: 30px 10px 20px 10px;
    margin-bottom: 30px;
    border-bottom: 2px solid #BD9E9C;
}

.qsubheader {
  font-style: oblique;
  font-weight:600;
}
  
.qfooter {
  background: #fff;
  margin-top: 50px;
  color: #000;
  position: fixed;
  bottom: 0px;
  border-top: 1px solid #0178d4;
}

.qfooter a {
  color:#000;
}

.table-bordered th, .table-bordered td {
  border: 1px solid #7997a1;
  text-transform: uppercase;
}

.warehouse th, .wareh td {
  text-transform: none !important;
  border: 1px solid #dee2e6 !important;
}

.wareh td {
  text-align: right;
}

.text-danger {
  text-transform: uppercase;
  font-size:14px;
}



.errorbox{
  background: antiquewhite;
  padding:10px !important;
  font-size: small;
}

.successbox {
  background: #DDFFF4;
  padding:10px !important;
  text-transform: uppercase;
  font-size: small;
}



.infobox {
  background: aliceblue;
  padding:10px !important;
  text-transform: uppercase;
  font-size: small;
}

.subpageheader{

}

.subpageheader h3{

}


.hdtitle {
  color:#BD9E9C;
  font-size:210%;
}



.fullform {
  padding: 0px 25px 0px 25px;
}

.row {
  padding:10px;
}




.subhdr {
  background: #EDDAD8;
  padding:10px;
  margin-bottom:15px;
  border-bottom: 1px solid #c4857f;
    letter-spacing: 1px;
}

.qsheader {
  font-size: 16px;
  font-weight: 700;
  padding: 10px;
  border-bottom: 1px dotted #000;
    margin-bottom: 10px;
}

.separator {
  border-bottom: 1px dotted #EDDAD8;
}

label {
  font-weight: bold;
}





.partner {
  margin-top:30px;
}

.export .btn {
  width:100% !important;
  font-size: 14px !important;
}

.reserve {
  padding:10px;
  border-radius: 4px;
}

a.reserve {
  padding:7px 10px 7px 10px;
  cursor: pointer;
  font-weight: bold;
  font-size: 18px !important;
}

a.reserve:hover {
text-decoration: none;
}

.lang a{
color:#fff;
}

.lang {
  color:#ddd;
  }


  #cover-spin {
    position:fixed;
    width:100%;
    left:0;right:0;top:0;bottom:0;
    background-color: rgba(255,255,255,0.7);
    z-index:9999;

}

@-webkit-keyframes spin {
	from {-webkit-transform:rotate(0deg);}
	to {-webkit-transform:rotate(360deg);}
}

@keyframes spin {
	from {transform:rotate(0deg);}
	to {transform:rotate(360deg);}
}

#cover-spin::after {
    content:'';
    display:block;
    position:absolute;
    left:48%;top:40%;
    width:40px;height:40px;
    border-style:solid;
    border-color:black;
    border-top-color:transparent;
    border-width: 4px;
    border-radius:50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
}

@media only screen and (max-width: 790px) {

  img.cidpagelogo {
    width:120px !important;
  }

  .q_81_a, .q_2_1a {
    width:100%;
    border-bottom: solid 2px #ab544c;
  }

  .q_8_1b, .q_2_1b {
    width:100%;
    border-bottom: solid 2px #ab544c;
    border-left:0px !important;
  }

  .q_8_1c, .q_2_1c {
    border-left:0px !important;
    width:100%;
    border-bottom: solid 2px #ab544c;
  }

  .q_8_1d, .q_2_1d {
    border-left:0px !important;
    width:100%;
  }
  .group1 {
    width:100%;
  }

  .btn:not(:disabled):not(.disabled) {
    width: 100%;
  }
  
  .btn:not(:disabled):not(.disabled):hover {
    width: 100%;
  }

  .hdtitle {
    color:#BD9E9C;
    font-size:190%;
  }

  .fullform {
    padding:0px;
  }
}

@media (min-width: 1200px) {
  .container-xl, .container-lg, .container-md, .container-sm, .container {
      max-width: 100%;
  }
}

@media screen and (max-width: 768px) {
  .menu-desktop, .fa-sign-out-alt, .loggedInPerson {
   display: none !important;
  }



  .menu-mobile {
    background-color: #f1f4f5;
    color: white;
    width: 100%;
    overflow: auto;
    transition: transform 0.3s ease-in-out;
  }
  
  .menu-mobile a {
    display: block;
    padding: 15px 20px;
    text-decoration: none;
    color: #212529;
    border-bottom: 1px solid #212529;
  }
  
  .menu-mobile a:hover {
    background-color: #fff;
  }

  .left-menu {
    padding: 0px;
}

  .mobile-toogle {
    display: block !important;
  }

  .menu.open {
      transform: translateX(0);
  }

  .menu-toggle {
      display: block;
      z-index: 10000 !important;
  }

  .main-con {
      margin-left: 0;
  }

  table, thead, tbody, th, td, tr {
    display: block; /* Pretvara tabelu u blok strukturu */
  }

  thead tr {
    display: none; /* Sakriva zaglavlje tabele */
  }

  tr {
    margin-bottom: 15px; /* Razmak između "kartica" */
    border: 1px solid #ddd; /* Granica oko svake kartice */
    border-radius: 8px; /* Zaobljeni uglovi */
    padding: 10px;
    background-color: #f9f9f9; /* Lagana pozadina za kartice */
  }

  td {
    display: flex;
    justify-content: space-between;
    padding: 8px 10px;
    border-bottom: 1px solid #eee;
  }

  td:last-child {
    border-bottom: none; /* Uklanja granicu za zadnji red */
  }

  td::before {
    content: attr(data-label); /* Dodaje ime kolone ispred svake vrijednosti */
    font-weight: bold;
    text-transform: uppercase;
    color: #555;
    margin-right: 10px;
  }
}



